CRAN Package Check Results for Package clpAPI

Last updated on 2021-09-21 06:48:14 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 1.3.0 8.32 41.22 49.54 WARN
r-devel-linux-x86_64-debian-gcc 1.3.0 5.33 33.04 38.37 WARN
r-devel-linux-x86_64-fedora-clang 1.3.0 69.76 OK
r-devel-linux-x86_64-fedora-gcc 1.3.0 59.32 OK
r-devel-windows-x86_64 1.3.0 10.00 60.00 70.00 OK
r-devel-windows-x86_64-gcc10-UCRT 1.3.0 ERROR
r-patched-linux-x86_64 1.3.0 7.26 40.93 48.19 WARN
r-patched-solaris-x86 1.3.0 86.60 OK
r-release-linux-x86_64 1.3.0 6.03 40.71 46.74 WARN
r-release-macos-arm64 1.3.0 ERROR
r-release-macos-x86_64 1.3.0 ERROR
r-release-windows-ix86+x86_64 1.3.0 17.00 74.00 91.00 NOTE
r-oldrel-macos-x86_64 1.3.0 ERROR
r-oldrel-windows-ix86+x86_64 1.3.0 14.00 75.00 89.00 NOTE

Check Details

Version: 1.3.0
Check: top-level files
Result: WARN
     Output from running autoreconf:
     configure.ac:59: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:59: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:59: the top level
     configure.ac:66: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:66: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:66: the top level
     configure.ac:287: warning: AC_OUTPUT should be used without arguments.
     configure.ac:287: You should run autoupdate.
Flavors: r-devel-linux-x86_64-debian-clang, r-devel-linux-x86_64-debian-gcc, r-patched-linux-x86_64, r-release-linux-x86_64

Version: 1.3.0
Check: whether package can be installed
Result: ERROR
    Installation failed.
Flavors: r-devel-windows-x86_64-gcc10-UCRT, r-release-macos-arm64, r-release-macos-x86_64, r-oldrel-macos-x86_64

Version: 1.3.0
Check: installed package size
Result: NOTE
     installed size is 7.3Mb
     sub-directories of 1Mb or more:
     libs 6.7Mb
Flavors: r-release-windows-ix86+x86_64, r-oldrel-windows-ix86+x86_64